Elektromagnetyka: Segment FastHenry

From FreeCAD Documentation
Revision as of 09:25, 19 November 2021 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Other languages:

EM FHSegment

Menu location
EM → FHSegment
Workbenches
EM
Default shortcut
E S
Introduced in version
0.17
See also
EM FHNode, EM FHPath

Description

The FHSegment tool inserts a FastHenry segment object.

FastHenry FHSegment

Usage

The FHSegment object can be based on the position of a Draft Line object, or on two existing FHNodes that will be the FHSegment end points, or you can select the 3D location of the two end points, where two additional FHNodes will be created.

  1. Press the EM FHSegment button, or press E then S keys.
  2. Click a first point on the 3D view, or type coordinates and press the add point button.
  3. Click a second point on the 3D view, or type coordinates and press the add point button.

Alternatively, you can also:

  1. Select two FHNode objects
  2. Press the EM FHSegment button, or press E then S keys.

Or:

  1. Select one or multiple Draft Line object(s)
  2. Press the EM FHSegment button, or press E then S keys. As many FHSegment objects will be created as the Draft Line objects.

Remarks:

  • If you create a FHSegment object based on a Draft Line object, you can NOT freely move the FHSegment or the end point FHNodes. The FHSegment will always be constrained to the base object. To change the position of the FHSegment, or of its end point, apply the change to the underlying Draft Line object (the base object is hidden by default, you can show it again by selecting the object in the tree and pressing Space.
  • If the FHSegment object has no base object baseobj, its position is controlled by the starting and ending FHNodes. You cannot change a FHSegment position by changing its Placement.

Options

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the add point button when you have the desired values to insert the point.
  • Press Esc or the Close button to abort the current command.

Properties

  • DANEBase: The base object this component is built upon (a Draft Line)
  • DANENodeStart: the starting FHNode
  • DANENodeEnd: the ending FHNode
  • DANEWidth: the FHSegment width ('w' segment parameter in FastHenry)
  • DANEHeight: the FHSegment height ('h' segment parameter in FastHenry)
  • DANESigma: the FHSegment conductivity ('sigma' segment parameter in FastHenry)
  • DANEww: the FHSegment cross-section direction along the width ('wx', 'wy', 'wz' segment parameter in FastHenry)
  • DANEnhinc: the Number of filaments in the height direction ('nhinc' segment parameter in FastHenry)
  • DANEnwinc: the Number of filaments in the width direction ('nwinc' segment parameter in FastHenry)
  • DANErh: the ratio of adjacent filaments in the height direction ('rh' segment parameter in FastHenry)
  • DANErw: the ratio of adjacent filaments in the width direction ('rw' segment parameter in FastHenry)

Scripting

See also: FreeCAD Scripting Basics.

The FHSegment object can be used in macros and from the Python console by using the following function:

segment = makeFHSegment(baseobj=None, nodeStart=None, nodeEnd=None, width=None, height=None, name='FHSegment')
  • Creates a FHSegment object.
  • baseobj is the Draft Line object that can be used as base for the FHSegment. If nodeStart and nodeEnd are specified, they have priority over the baseobj, and baseobj is ignored.
  • nodeStart is the segment starting node FHNode object.
  • nodeEnd is the segment ending node FHNode object.
  • width is the segment width. Defaults to EMFHSEGMENT_DEF_SEGWIDTH.
  • height is the segment height. Defaults to EMFHSEGMENT_DEF_SEGHEIGHT.
  • name is the name of the object

Example:

import FreeCAD, EM

fhnode1 = EM.makeFHNode(X=1.0,Y=0,Z=0)
fhnode2 = EM.makeFHNode(X=0,Y=1.0,Z=0)

fhsegment = EM.makeFHSegment(nodeStart=fhnode1, nodeEnd=fhnode2)